"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = getCssDeclarations;

var _require = require('@adeira/sx-tailwind'),
    tailwindStyles = _require.tailwindStyles,
    tailwindKeyframes = _require.tailwindKeyframes;

function getCssDeclarations(utilityName, tailwindConfig) {
  // TODO: refactor once a support for more configuration options will be needed
  var fontFamily = tailwindConfig.theme.fontFamily;

  if (utilityName === 'font-sans' && fontFamily.sans) {
    return {
      fontFamily: toString(fontFamily.sans)
    };
  }

  if (utilityName === 'font-mono' && fontFamily.mono) {
    return {
      fontFamily: toString(fontFamily.mono)
    };
  }

  var tailwindUtility = tailwindStyles[utilityName];
  var keyframe = tailwindKeyframes[tailwindUtility.animationName];

  if (tailwindUtility != null && keyframe != null) {
    tailwindUtility.animationName = "sx.keyframes(".concat(JSON.stringify(keyframe), ")");
    return tailwindUtility;
  }

  return tailwindUtility;
}

function toString(value) {
  return Array.isArray(value) ? value.join(',') : value;
}